ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_obj_template_t Struct Reference
Topology Interface

Generic Template Object. More...

`#include <topology.h>`

## Data Fields
enum snd_tplg_type | type
int | index
int | version
int | vendor_type
union { |
struct snd_tplg_widget_template * widget |
struct snd_tplg_mixer_template * mixer |
struct snd_tplg_bytes_template * bytes_ctl |
struct snd_tplg_enum_template * enum_ctl |
struct snd_tplg_graph_template * graph |
struct snd_tplg_pcm_template * pcm |
struct snd_tplg_link_template * link |
struct snd_tplg_dai_template * dai |
}; |  |

## Detailed Description

Generic Template Object.

## Field Documentation

## ◆ bytes_ctl

struct snd_tplg_bytes_template* snd_tplg_obj_template_t::bytes_ctl

Bytes control

## ◆ dai

struct snd_tplg_dai_template* snd_tplg_obj_template_t::dai

Physical DAI

## ◆ enum_ctl

struct snd_tplg_enum_template* snd_tplg_obj_template_t::enum_ctl

Enum control

## ◆ graph

struct snd_tplg_graph_template* snd_tplg_obj_template_t::graph

Graph elements

## ◆ index

int snd_tplg_obj_template_t::index

group index for object

## ◆ link

struct snd_tplg_link_template* snd_tplg_obj_template_t::link

physical DAI Links

## ◆ mixer

struct snd_tplg_mixer_template* snd_tplg_obj_template_t::mixer

Mixer control

## ◆ pcm

struct snd_tplg_pcm_template* snd_tplg_obj_template_t::pcm

PCM elements

## ◆ type

enum snd_tplg_type snd_tplg_obj_template_t::type

template object type

## ◆ vendor_type

int snd_tplg_obj_template_t::vendor_type

optional vendor specific type info

## ◆ version

int snd_tplg_obj_template_t::version

optional vendor specific version details

## ◆ widget

struct snd_tplg_widget_template* snd_tplg_obj_template_t::widget

DAPM widget

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h